---
title: "Retrieve Discount - Subscription"
source_url: https://docs.rapyd.net/en/retrieve-discount---subscription.html
lang: en
---

# Retrieve Discount - Subscription

Retrieve a discount applied to a specific subscription.

### Parameters

### Request Path Parameters

- - discount
  - ID of the discount. String starting with **dis_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - coupon
  - ID of the coupon on which the discount is based. For details about the fields of the 'coupon' object, see [Create Coupon](https://docs.rapyd.net/en/create-coupon.md "Create Coupon").
- - discount
  - ID of the discount. String starting with **dis_**.
- - end
  - The final time that a discount can be used, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time"). When the value is **-1**, the discount never expires.
- - id
  - ID of the discount. String starting with **dis_**.
- - number_of_uses
  - The number of times that the discount was used for this subscription. The initial value is **0**. The value is incremented by 1 each time that the discount is used.
- - start
  - The time that a discount was created, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - subscription
  - ID of the subscription that the discount applies to. String starting with **sub_**.
- - valid
  - Indicates whether the discount can be used.

- /v1/subscriptions/discount/:discount

- Retrieve Discount - Subscription
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/subscriptions/discount/dis_86d22bbca7d8cab52692dab3d3f10177' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "a1a473a7-4fec-46e4-9ba0-43419a369aa1"
      },
      "data": {
          "id": "dis_86d22bbca7d8cab52692dab3d3f10177",
          "coupon": {
              "id": "coupon_ec743a04cbaf362e55695efe868d4c3b",
              "amount_off": 2.75,
              "created": 1763464621,
              "currency": "USD",
              "duration": "repeating",
              "duration_in_months": 1,
              "max_redemptions": 1,
              "metadata": {},
              "percent_off": 0,
              "redeem_by": 0,
              "times_redeemed": 1,
              "discount_valid_until": 0,
              "discount_validity_in_months": 0,
              "discount_duration_in_uses": 1,
              "description": "",
              "valid": false
          },
          "end": -1,
          "start": 1763464676,
          "subscription": "sub_1219e2329c4c5b26f08203d826a59d92",
          "number_of_uses": 0,
          "valid": true
      }
  }
  ```
